summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-x.ci/linux/deploy.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.ci/linux/deploy.sh b/.ci/linux/deploy.sh
index ddac478a..77a4fa06 100755
--- a/.ci/linux/deploy.sh
+++ b/.ci/linux/deploy.sh
@@ -20,7 +20,10 @@ for iconSize in 16 32 48 64 128 256 512; do
     cp resources/nheko-${iconSize}.png ${IconDir}/nheko.png
 done
 
-wget -c "https://github.com/probonopd/linuxdeployqt/releases/download/continuous/linuxdeployqt-continuous-x86_64.AppImage"
+# Only download the file when not already present
+if ! [ -f linuxdeployqt-continuous-x86_64.AppImage ] ; then
+	wget -c "https://github.com/probonopd/linuxdeployqt/releases/download/continuous/linuxdeployqt-continuous-x86_64.AppImage"
+fi
 chmod a+x linuxdeployqt*.AppImage
 
 unset QTDIR